<?php

use Illuminate\Database\Migrations\Migration;

class CreateTeachersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: teachers
         */
        Schema::create('teachers', function ($table) {
            $table->increments('id');
            $table->string('name', 100)->nullable();
            $table->string('code', 256)->nullable();
            $table->string('email', 255)->nullable();
            $table->string('password', 100)->nullable();
            $table->string('api_token', 60)->nullable();
            $table->string('remember_token', 255)->nullable();
            $table->enum('status', ['Active'=>'Active','Inactive'=>'Inactive','Pending'=>'Pending'])->nullable();
            $table->text('address')->nullable();
            $table->string('phone', 256)->nullable();
            $table->string('mobile', 100)->nullable();
            $table->string('street', 100)->nullable();
            $table->string('city', 100)->nullable();
            $table->string('district', 100)->nullable();
            $table->string('photo', 500)->nullable();
            $table->timestamp('last_logged_in_at')->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['draft', 'complete', 'verify', 'approve', 'publish', 'unpublish', 'archive'])->default('draft')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type',50)->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('teachers');
    }
}
