@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('teacher::teacher.name') !!} <small> {!! trans('app.manage') !!} {!! trans('teacher::teacher.names') !!}</small>
@stop

@section('title')
{!! trans('teacher::teacher.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
    <li class="active">{!! trans('teacher::teacher.names') !!}</li>
</ol>
@stop

@section('entry')
<div id='teacher-teacher-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="teacher-teacher-list" class="table table-striped data-table">
    <thead class="list_head">
        <th>{!! trans('teacher::teacher.label.name')!!}</th>
                    <th>{!! trans('teacher::teacher.label.code')!!}</th>
                    <th>{!! trans('teacher::teacher.label.email')!!}</th>
                    <th>{!! trans('teacher::teacher.label.status')!!}</th>
                    <th>{!! trans('teacher::teacher.label.phone')!!}</th>
                    <th>{!! trans('teacher::teacher.label.mobile')!!}</th>
                    <th>{!! trans('teacher::teacher.label.street')!!}</th>
                    <th>{!! trans('teacher::teacher.label.city')!!}</th>
                    <th>{!! trans('teacher::teacher.label.district')!!}</th>
                    <th>{!! trans('teacher::teacher.label.last_logged_in_at')!!}</th>
                    <th>{!! trans('teacher::teacher.label.status')!!}</th>
                    <th>{!! trans('teacher::teacher.label.created_at')!!}</th>
                    <th>{!! trans('teacher::teacher.label.updated_at')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::text('search[name]')->raw()!!}</th>
                    <th>{!! Form::text('search[code]')->raw()!!}</th>
                    <th>{!! Form::text('search[email]')->raw()!!}</th>
                    <th>{!! Form::text('search[status]')->raw()!!}</th>
                    <th>{!! Form::text('search[phone]')->raw()!!}</th>
                    <th>{!! Form::text('search[mobile]')->raw()!!}</th>
                    <th>{!! Form::text('search[street]')->raw()!!}</th>
                    <th>{!! Form::text('search[city]')->raw()!!}</th>
                    <th>{!! Form::text('search[district]')->raw()!!}</th>
                    <th>{!! Form::text('search[last_logged_in_at]')->raw()!!}</th>
                    <th>{!! Form::text('date[status]')->raw()!!}</th>
                    <th>{!! Form::text('date[created_at]')->raw()!!}</th>
                    <th>{!! Form::text('date[updated_at]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#teacher-teacher-entry', '{!!trans_url('admin/teacher/teacher/0')!!}');
    oTable = $('#teacher-teacher-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/teacher/teacher') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#teacher-teacher-list .search_bar input, #teacher-teacher-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'name'},
                    {data :'code'},
                    {data :'email'},
                                {data :'status'},
                        {data :'phone'},
                    {data :'mobile'},
                    {data :'street'},
                    {data :'city'},
                    {data :'district'},
                        {data :'last_logged_in_at'},
                {data :'status'},
            {data :'created_at'},
            {data :'updated_at'},
        ],
        "pageLength": 25
    });

    $('#teacher-teacher-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#teacher-teacher-list').DataTable().row( this ).data();

        $('#teacher-teacher-entry').load('{!!trans_url('admin/teacher/teacher')!!}' + '/' + d.id);
    });

    $("#teacher-teacher-list .search_bar input, #teacher-teacher-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

