<?php

namespace Asadi\Teacher\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Asadi\Teacher\Interfaces\TeacherRepositoryInterface;

class TeacherPublicController extends BaseController
{
    // use TeacherWorkflow;

    /**
     * Constructor.
     *
     * @param type \Asadi\Teacher\Interfaces\TeacherRepositoryInterface $teacher
     *
     * @return type
     */
    public function __construct(TeacherRepositoryInterface $teacher)
    {
        $this->repository = $teacher;
        parent::__construct();
    }

    /**
     * Show teacher's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $teachers = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('teacher::public.teacher.index', compact('teachers'))->render();
    }

    /**
     * Show teacher.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $teacher = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('teacher::public.teacher.show', compact('teacher'))->render();
    }

}
