<?php

namespace Asadi\Teacher\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TeacherListTransformer extends TransformerAbstract
{
    public function transform(\Asadi\Teacher\Models\Teacher $teacher)
    {
        return [
            'id'                => $teacher->getRouteKey(),
            'name'              => $teacher->name,
            'code'              => $teacher->code,
            'email'             => $teacher->email,
            'password'          => $teacher->password,
            'api_token'         => $teacher->api_token,
            'remember_token'    => $teacher->remember_token,
            'status'            => $teacher->status,
            'address'           => $teacher->address,
            'phone'             => $teacher->phone,
            'mobile'            => $teacher->mobile,
            'street'            => $teacher->street,
            'city'              => $teacher->city,
            'district'          => $teacher->district,
            'photo'             => $teacher->photo,
            'last_logged_in_at' => $teacher->last_logged_in_at,
            'status'            => trans('app.'.$teacher->status),
            'created_at'        => format_date($teacher->created_at),
            'updated_at'        => format_date($teacher->updated_at),
        ];
    }
}