<?php

namespace Asadi\Teacher;

use User;

class Teacher
{
    /**
     * $teacher object.
     */
    protected $teacher;

    /**
     * Constructor.
     */
    public function __construct(\Asadi\Teacher\Interfaces\TeacherRepositoryInterface $teacher)
    {
        $this->teacher = $teacher;
    }

    /**
     * Returns count of teacher.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.teacher.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->teacher->pushCriteria(new \Litepie\Asadi\Repositories\Criteria\TeacherUserCriteria());
        }

        $teacher = $this->teacher->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('teacher::' . $view, compact('teacher'))->render();
    }
}
