<?php

namespace Asadi\Teacher\Workflow;

use Asadi\Teacher\Models\Teacher;
use Asadi\Teacher\Notifications\Teacher as TeacherNotifyer;
use Notification;

class TeacherNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Teacher $teacher
     *
     * @return void
     */
    public function complete(Teacher $teacher)
    {
        return Notification::send($teacher->user, new TeacherNotifyer($teacher, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Teacher $teacher
     *
     * @return void
     */
    public function verify(Teacher $teacher)
    {
        return Notification::send($teacher->user, new TeacherNotifyer($teacher, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Teacher $teacher
     *
     * @return void
     */
    public function approve(Teacher $teacher)
    {
        return Notification::send($teacher->user, new TeacherNotifyer($teacher, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Teacher $teacher
     *
     * @return void
     */
    public function publish(Teacher $teacher)
    {
        return Notification::send($teacher->user, new TeacherNotifyer($teacher, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Teacher $teacher
     *
     * @return void
     */
    public function archive(Teacher $teacher)
    {
        return Notification::send($teacher->user, new TeacherNotifyer($teacher, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Teacher $teacher
     *
     * @return void
     */
    public function unpublish(Teacher $teacher)
    {
        return Notification::send($teacher->user, new TeacherNotifyer($teacher, 'unpublish'));;

    }
}
